html, body {
  height: 100%;
  margin: 0;
  font-family: 'Poppins', sans-serif;
  font-size: 16px;
  overflow: hidden; /* Remove a rolagem vertical */
  overflow-x: hidden; /* Remove a rolagem horizontal */
}

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box; 
}

.cta-button button {
  background-color: #1a73e8;
  color: white;
  border: none;
  padding: 10px 20px;
  border-radius: 5px;
  cursor: pointer;
}

.cta-button button:hover {
  background-color: #155cb5;
}


/* Estilos para o contêiner principal */
.container {
  display: flex;
  justify-content: space-between;
  align-items: center;
  height: 100vh; /* Ocupa toda a altura da tela */
  background: #e1e5f7;
  width: 100% !important;
}

/* Estilos para a barra lateral */
.container .side-bar {
  height: 100vh; /* Ocupa toda a altura da tela */
  width: 500px; /* Largura padrão para desktop */
  background: #4A7856;
  padding: 20px;
  position: relative; 
  -webkit-transition: all 0.5s ease;
  transition: all 0.5s ease;
  max-width: 50%; /* Limita a largura para telas menores */
  overflow-y: auto;
  color: #000000; 
  border-right: 2px solid #000000; 
}

.container .position {
  left: -400px !important;
}
.btn-chat {
  display: none;
}

/* Estilos para a marca na barra lateral */
.container .side-bar .side-bar-brand {
  display: flex;
  -webkit-box-pack: justify;
  -ms-flex-pack: justify;
  justify-content: space-between;
  -webkit-box-align: center;
  -ms-flex-align: center;
  align-items: center;/* Alinha verticalmente os elementos ao centro */
}

/* Estilo do menu lateral */
.container .side-bar .side-bar-brand {
  display: flex;
  justify-content: space-between;
  align-items: center;
}

/* Estilos para botões no menu lateral */
.container .side-bar .side-bar-brand .button {
  position: relative;
  transform: rotate(45deg);
  cursor: pointer;
}

/*primeira linha do botão na barra lateral */
.container .side-bar .side-bar-brand .button div:nth-child(1) {
  position: relative;
  top: 4px;
  -webkit-transform: rotate(90deg);
  transform: rotate(90deg);
}

/* Estilos para os itens da lista na barra lateral */
.container .side-bar .list-item ul li {
  list-style-type: none;
  /* Remove os marcadores de lista */
  margin-bottom: 20px;
}

/* Botão para sair do chat */
.btn-exit-chat {
  display: none; /* Inicialmente oculto */
  position: fixed;
  bottom: 80px; /* Ajuste para ficar acima do botão de acessibilidade */
  right: 20px; /* Alinhado à direita */
  background-color: #00655b;
  color: rgb(255, 255, 255);
  border: none;
  padding: 10px 15px;
  border-radius: 50%;
  font-size: 18px;
  font-weight: bold;
  cursor: pointer;
  z-index: 1001; 
}

/* botão "X" quando o chat estiver aberto */
.chat-container.active ~ .btn-exit-chat {
  display: block;
}

/* Estilos para o botão de menu no contêiner principal */
.container .menu-btn {
  position: absolute;
  top: 0;
  right: 0;
  padding: 15px 20px;
  cursor: pointer;
}

/* Estilos para as linhas do botão de menu */
.container .menu-btn div {
  width: 40px;
  height: 4px;
  background: #26c0a6;
}

/*Imagem do usuario*/

.container .list-item img {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  width: 180px;
  height: 190px;
}

/*contraste*/
.high-contrast {
  background-color: #1a1a1a;
  background-image: url("../img/");
}

.high-contrast p {
  color: white;
}

.high-contrast h1 {
  color: white;
}

.high-contrast h3 {
  color: white;
}

.high-contrast .chat-container {
  color: white;
  background-color: #1a1a1a;
}

.high-contrast .libras-container {
  background: #1a1a1a;
}

.high-contrast .side-bar {
  background: #26c0a6;
}


@media screen and (min-width: 900px) {


  /*nav*/

  nav {
    flex-direction: row;
    justify-content: space-around;
  }


  nav ul {
    flex-direction: row;
    width: 20%;
  }
}

/* CHAT */
.chat-container {
  display: flex;
  flex-direction: column;
  width: 100%;
  height: 100vh;
  background-color: #fff5f5;
  padding: 20px;
  overflow: hidden; /* Remove rolagem */
  padding-left: 2%;
  padding-right: 2%;
  position: inherit;
}

.message {
  margin: 10px 0;
  background-color: #9ab8d8;
  max-width: 30%;
  padding: 10px;
  border-radius: 10px;

}

.user {
  font-weight: bold;
  color: #0d381f;
  margin-bottom: 5%;
}

.text {
  color: #000;
}

.time {
  font-size: 12px;
  color: #000;
  margin-top: 5%;
  text-align: right;

}

.message2 {
  display: flex;
  flex-direction: column;
  justify-content: right;
  align-items: end;
  margin: 10px 0;
  background-color: #a6c7c7;
  margin-left: 65%;
  padding: 10px;
  border-radius: 10px;

}

.user2 {
  font-weight: bold;
  color: #053029;
  margin-bottom: 5%;
}

.text2 {
  color: #000;
}

.time2 {
  font-size: 12px;
  color: #000;
  margin-top: 5%;
  text-align: right;

}


/* Entrada de mensagens */
#messageInput {
  width: 50%;
  padding: 10px;
  border: 1px solid #ddd;
  border-radius: 5px 0 0 5px;
}

#sendMessage {
  padding: 10px 20px;
  background-color: #26c0a6;
  color: white;
  border-radius: 5px;
  border: none;
  cursor: pointer;
  transition: background-color 0.3s ease;
}

#sendMessage:hover {
  background-color: #4226c0;
  background-color: #26c0a6;
  color: #000;
  background-image: url("./img/bob.png");
  background-repeat: no-repeat;
  animation: slidebg 2s linear infinite;
}


/*  RESPOSTAS   */
.quick-replies {
  display: flex;
  flex-direction: column;
  gap: 10px;
}

.quick-replies button {
  background-color: #1a73e8;
  color: white;
  padding: 8px 12px;
  border-radius: 5px;
  max-width: 300px;
  cursor: pointer;
  transition: background-color 0.3s ease;
}

.quick-replies button:hover {
  background-color: #155cb5;
}

.chat-container {
  display: flex;
  flex-direction: column;
  width: 100%;
  height: 100vh; /* Ocupa toda a altura da tela */
  overflow: hidden; /* Impede rolagem no contêiner de chat */
  background-color: #f5f5f5;
  padding: 20px;
}

/* Enviar mensagem */
.send {
  display: flex;
  width: 80%;
  position: absolute;
  bottom: 10px;

}


/* Botões respostas rápidas */
.button-container {
  display: flex;
  flex-direction: column;
  gap: 10px;
  width: 100%;
  padding: 20px 0; /* Espaçamento extra para separar do campo de envio */
  align-items: center; /* Centraliza os botões */
}

.button-container button {
  background-color: #1a73e8;
  color: white;
  border: none;
  padding: 10px 20px;
  border-radius: 5px;
  cursor: pointer;
  width: auto; /* Largura automática para o botão */
  max-width: 300px; /* Largura máxima para limitar o tamanho dos botões */
  text-align: center;
}

.button-container button:hover {
  background-color: #155cb5;
}


@keyframes slidebg {
  to {
    background-position: 10vw;
  }
}

/*auto contraste*/

.high-contrast {
  background-color: #1a1a1a;
  background-image: url("../img/logo3.png");
}

.high-contrast p{
  color: white;
}

.high-contrast h1{
  color: white;
}

.high-contrast h3{
  color: white;
}

.high-contrast .chat-container{
  color: white;
  background-color: #1a1a1a;
}

.high-contrast .libras-container{
  background: #1a1a1a;
}

.high-contrast .side-bar{
  background: #0f2b18;
}

.btn-chat-mobile {
  display: none; /* Esconde o botão por padrão */
}

/* Configuração para telas pequenas */
@media (max-width: 768px) {


  /* Botão "Iniciar" telas pequenas */
  .btn-chat-mobile {
    display: none; /* Esconde o botão */
      position: fixed;
      bottom: 20px;
      right: 20px;
      background-color: #2b5d5d;
      color: #ffffff;
      padding: 10px 15px;
      border: none;
      border-radius: 5px;
      cursor: pointer;
      z-index: 1001;
  }

  /* chat fica oculto */
  .chat-container {
      display: none;
  }

  /*  menu lateral oculto e o chat ativo */
  .side-bar.hidden {
      display: none;
  }

  .chat-container.active {
      display: block;
  }
}

@media screen and (max-width: 768px) {
  .container{
    justify-content: center
  }

  .container .side-bar{
    max-width: 100%;

  }


}

/* Exibir o botão apenas em telas menores que 768px */
@media screen and (max-width: 768px) {
  .btn-chat-mobile {
     display: block; /* Mostra o botão apenas em telas menores que 768px */
      position: fixed; 
      bottom: 100px; 
      right: 20px; 
      background-color: #00655b;
      color: white;
      padding: 10px 20px;
      border: none;
      border-radius: 8px;
      font-size: 16px;
      cursor: pointer;
      box-shadow: 0px 4px 6px rgba(0, 0, 0, 0.1);
      z-index: 1000; 
  }
}
